View Issue Details

IDProjectCategoryView StatusLast Update
0020084LazarusLCLpublic2011-09-10 16:03
ReporterAlexander S. KleninAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020084: Grid: Cancelled row moving does not erase indicator
DescriptionIf the grid row moving is initiated, but has no effect
(because the row is moved to itself),
the indicator is not erased.

It seems that in TCustomGrid.MouseUp, in gsRowMoving case,
a call to Invalidate is required similar to the gsColMoving case above.

However, I have no idea what AlternativeMoveIndicator is and
how it may influence the issue, so I do not provide a patch.
Steps To Reproduce1) Open tachart\demo\chartsource project
2) Invoke editor for ListChartSource1.DataPoints property
3) Drag the bottom grid row down, then release the mouse button
=>
Red line remains in the grid

TagsNo tags attached.
Fixed in Revision32241
LazTarget-
Widgetset
Attached Files

Activities

Alexander S. Klenin

2011-09-10 16:03

developer   ~0051698

Thanks

Issue History

Date Modified Username Field Change
2011-08-28 14:23 Alexander S. Klenin New Issue
2011-08-28 14:23 Alexander S. Klenin LazTarget => -
2011-09-08 18:57 Alexander S. Klenin Steps to Reproduce Updated
2011-09-08 18:58 Alexander S. Klenin Steps to Reproduce Updated
2011-09-08 19:02 Jesus Reyes Status new => assigned
2011-09-08 19:02 Jesus Reyes Assigned To => Jesus Reyes
2011-09-09 22:01 Jesus Reyes Fixed in Revision => 32241
2011-09-09 22:01 Jesus Reyes Status assigned => resolved
2011-09-09 22:01 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-09-09 22:01 Jesus Reyes Resolution open => fixed
2011-09-10 16:03 Alexander S. Klenin Status resolved => closed
2011-09-10 16:03 Alexander S. Klenin Note Added: 0051698